## ocamlgraph 1.8.3

=== editor/Makefile ===

test: editor.opt
	./editor.opt  -rr 15 tests/divisors12.gml

editor.opt: ed_*.ml
	make -C .. editor/editor.opt

editor.byte: ed_*.ml
	make -C .. editor/editor.byte

# tortuegpoint: tortue.ml 
#	ocamlopt outils_math.ml
#	ocamlopt -o $@ graphics.cmxa outils_math.cmx $^


# graphEd.opt : outils_math.ml outils_tort.ml graphEd.ml
# 	ocamlopt -o $@ graphics.cmxa -I .. ../graph.cmxa $^


# graphEdGTK : outils_math.ml outils_tort.ml graphEdGTK.ml
# 	ocamlopt.opt -o $@ -I +lablgtk2 lablgtk.cmxa lablgnomecanvas.cmxa unix.cmxa -I .. ../graph.cmxa $^

# graphEdGTK.byte : outils_math.ml outils_tort.ml graphEdGTK.ml
# 	ocamlc.opt -g -o $@ -I +lablgtk2 lablgtk.cma lablgnomecanvas.cma unix.cma -I .. ../graph.cma $^

# editor.opt:
# 	make -C .. 

clean:
	rm -f *.opt
	rm -f *.cm[iox]

## ocamlgraph 1.8.1

=== debian/changelog ===
ocamlgraph (1.8.1-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Version to 3.9.2

  [ Stefano Zacchiroli ]
  * remove myself from uploaders

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Dec 2011 18:01:34 +0100

ocamlgraph (1.7-1) unstable; urgency=low

  * New upstream version.
  * Update copyright file, and mention linking exception (Closes: #589032).

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 15 Apr 2011 22:15:07 +0200

ocamlgraph (1.5-1) unstable; urgency=low

  * New upstream release
    + Remove 0003-dgraph-handle-dotted-ellipse.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 15 May 2010 15:10:43 +0200

ocamlgraph (1.4-1) unstable; urgency=low

  * New upstream release
  * Convert patches to quilt format
  * Bump standard version to 3.8.4, no changed needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 27 Apr 2010 15:58:35 +0200

ocamlgraph (1.3+debian-2) unstable; urgency=low

  * Provide a new binary package to avoid installing gnome and gtk
    libraries when you only need to manipulate Graphs (Closes: #572893)
    - libocamlgraph-view-ocaml-dev
  * Put the generated documentation in a new binary (arch:all) package.
    - libocamlgraph-ocaml-doc
  * Make the new binary packages conflicts/replaces former versions of
    libocamlgraph-ocaml-dev.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 07 Mar 2010 21:40:23 +0100

ocamlgraph (1.3+debian-1) unstable; urgency=low

  * New upstream release
  * Update README.source
  * Fix include order in debian/rules
  * Use new features of dh-ocaml 0.9
    - Generate documentation using dh_ocamldoc (Closes: #559330)

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 10 Jan 2010 14:42:40 +0100

ocamlgraph (1.2+debian-1) unstable; urgency=low

  * New Upstream Version
  * Use my Debian address
  * Remove 04_more_clean.dpatch: not needed anymore
  * Bump standards version to 3.8.3, no changes needed
  * Update copyright file
  * Remove ocamlweb from build-dependencies as we don't use it.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Sep 2009 09:41:53 +0200

ocamlgraph (1.1-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New Upstream Version
  * Update some build-dependencies versions
  * Upgrade Standards-Version to 3.8.2, no changes needed.
  * Update patch 01_makefile

  [ Sylvain Le Gall ]
  * Clean and restore files to come back to pristine-tar state after
    clean

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Mon, 06 Jul 2009 20:50:04 +0000

ocamlgraph (1.0-2) unstable; urgency=low

  * Modify 01_makefile.dpatch to:
    - install .cmi and .o files of the viewer
    - install graph.o
  * viewgraph has to link against gtkinit
  * Install ocamlgraph-viewer
  * Move libocamlgraph-ocaml-dev to section ocaml
  * Upgrade Standards-Version to 3.8.1, no changes needed.
  * Add myself to uploaders
  * Add and install a manpage for ocamlgraph-viewer

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Tue, 12 May 2009 13:05:12 +0200

ocamlgraph (1.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * New upstream release:
    * Don't ship viewgraph which is segfaulting
    * Update 01_makefile.dpatch
    * Don't use upstream documentation, since there is a bug in viewgraph
      that prevent generating it
  * Update copyright file to something more compliant with
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Add build-dependency on dh-ocaml
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Stefano Zacchiroli ]
  * debian/control: add missing ${misc:Depends}
  * bump debhelper compatibility level to 7
  * debian/rules: use ocaml.mk as a CDBS "rules" snippet

 -- Sylvain Le Gall <gildor@debian.org>  Fri, 20 Mar 2009 12:42:55 +0100

ocamlgraph (0.99c-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * new upstream release (Closes: #486910)
    - split a new binary package ocamlgraph-editor to ship the GNOME-based
      graph editor based on hyperbolic geometry
  * promote Homepage to a real debian/control field
  * fix vcs-svn field to point just above the debian/ dir
  * debian/watch: update to point to the new homepage
  * debian/control:
    - update Homepage field to point to the new homepage
    - drop versioning in cdbs dependency, the required version is in stable
    - revamp long description mentioning new functionality
    - in long description, formats list items properly as pre-formatted lines
      (Closes: #480338)
    - add Build-Depends on liblablgtk2{-gnome,}-ocaml-dev to build the editor
  * debian/patches/
    - 00dpatch.conf: add dpatch configuration fail pointing to ../upstream for
      upstream tarballs
    - 01_makefile.dpatch: refresh wrt latest upstream Makefile.in
    - 02_editor_naming.dpatch: (new patch) rename the best built editor to
      "ocamlgraph-editor"
    - 03_hide_b0rken_icon.dpatch: (new patch) avoid references to the non
      existent icon "ed_icon.xpm"
    - remove no longer applied patches: 02_literals_overflow.dpatch,
      03_META.dpatch, 04_ocamldoc_coloring.dpatch
  * debian/libocamlgraph-ocaml-dev.examples: refresh according to new upstream
    example placement
  * bump Standards-Version to 3.8.0, no changes needed
  * debian/copyright:
    - revamp with more precise mention of copyright owners (separate from
      contributors) and license version details (LGPL, v2 only)
    - provide copyright details for Debian packaging, adding myself
    - switch to machine parseable copyright format, as per
      http://wiki.debian.org/Proposals/CopyrightFormat
    - change file encoding to UTF-8, makes lintian happy

  [ Sylvain Le Gall ]
  * Use ocaml 3.10.0-9 for generating .ocamldoc-apiref automatically
  * Set debian-ocaml-maint@l.d.o as maintainer, me and zack as uploaders
  * Remove useless control.in
  * Add manpage for ocamlgraph-editor
  * Clean files that are generated and prevents building debian diff
    files



=== debian/control ===
Source: ocamlgraph
Section: libdevel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Sylvain Le Gall <gildor@debian.org>, Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 cdbs,
 dh-ocaml (>= 0.9),
 debhelper (>= 7),
 ocaml-nox (>= 3.11.1),
 ocaml-findlib (>> 1.2.4-2),
 liblablgtk2-ocaml-dev,
 liblablgtk2-gnome-ocaml-dev,
 docbook-xml (>= 4.4),
 docbook-xsl,
 libxml2-utils,
 xsltproc,
 po4a
Standards-Version: 3.9.2
Homepage: http://ocamlgraph.lri.fr/
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgraph.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgraph.git

Package: libocamlgraph-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: graph library for OCaml
 Ocamlgraph is a graph library for OCaml. Its contribution is
 three-fold:
 .
  * It provides an easy-to-use graph data structure together with
    several operations and algorithms over graphs.  It is a
    reasonably efficient imperative data structure for directed
    graphs with vertices and edges labeled with integers. 
 .
  * Then ocamlgraph provides several other graph implementations
    for those not satisfied with the one above. Some are
    persistent (imutable) and other imperative (mutable). Some
    are directed and other are not. Some have labels for
    vertices, or labels for edges, or both. Some have abstract
    types for vertices. etc. 
    These implementations are written as functors: you give the
    types of vertices labels, edge labels, etc. and you get the
    data structure as a result. 
 .
  * Finally, ocamlgraph provides several classic operations and
    algorithms over graphs.
    They are also written as functors i.e. independently of the
    data structure for graphs. One consequence is that you can
    define your own data structure for graphs and yet re-use all
    the algorithms from this library -- you only need to provide
    a few operations such as iterating over all vertices, over
    the successors of a vertex, etc.

Package: libocamlgraph-viewer-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Breaks:
 libocamlgraph-ocaml-dev (<< 1.3+debian-2~)
Replaces:
 libocamlgraph-ocaml-dev (<< 1.3+debian-2~)
Suggests: graphviz | springgraph
Description: graph library for OCaml
 Ocamlgraph is a graph library for OCaml. Its contribution is
 three-fold:
 .
  * It provides an easy-to-use graph data structure together with
    several operations and algorithms over graphs.  It is a
    reasonably efficient imperative data structure for directed
    graphs with vertices and edges labeled with integers.
 .
  * Then ocamlgraph provides several other graph implementations
    for those not satisfied with the one above. Some are
    persistent (imutable) and other imperative (mutable). Some
    are directed and other are not. Some have labels for
    vertices, or labels for edges, or both. Some have abstract
    types for vertices. etc.
    These implementations are written as functors: you give the
    types of vertices labels, edge labels, etc. and you get the
    data structure as a result.
 .
  * Finally, ocamlgraph provides several classic operations and
    algorithms over graphs.
    They are also written as functors i.e. independently of the
    data structure for graphs. One consequence is that you can
    define your own data structure for graphs and yet re-use all
    the algorithms from this library -- you only need to provide
    a few operations such as iterating over all vertices, over
    the successors of a vertex, etc.
 .
 This package provides viewgraph and dgraph library to build graph
 viewers.

Package: libocamlgraph-ocaml-doc
Architecture: all
Section: doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libocamlgraph-ocaml-dev (<< 1.3+debian-2~)
Replaces:
 libocamlgraph-ocaml-dev (<< 1.3+debian-2~)
Description: documentation for the OCamlgraph library
 This package provides the API reference documentation generated by
 ocamldoc.

Package: ocamlgraph-editor
Architecture: any
Section: graphics
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Description: graphical graph editor based on hyperbolic geometry
 Ocamlgraph editor is an interactive graph editor for GNOME; it is based
 on hyperbolic geometry (it "zooms" more on graph nodes which are in the
 center of the editing area and zooms less on periferic nodes).
 .
 Ocamlgraph editor works with the following file formats to load and
 save graphs: GML (Graph Modelling Language), DOT (the file format used
 by Graphviz).
 .
 Ocamlgraph is still to be considered experimental.

## ocamlgraph 1.8.2

=== debian/changelog ===
ocamlgraph (1.8.2-2) unstable; urgency=low

  * Delete README.source file since its content is outdated.
  * Build manpages during binary-only builds too. This fixes FTBFS on
    autobuilders or when building with "-B".

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 15 May 2012 14:39:46 +0200

ocamlgraph (1.8.2-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 15 May 2012 11:31:18 +0200

ocamlgraph (1.8.1-3) unstable; urgency=low

  * Undo changes of 1.8.1-2

 -- Ralf Treinen <treinen@debian.org>  Sat, 11 Feb 2012 17:50:30 +0100

ocamlgraph (1.8.1-2) unstable; urgency=low

  * Team Upload
  * There is no gtk on the s390x architecture: do not build-depend on
    liblablgtk2-ocaml-dev and liblablgtk2-gnome-ocaml-dev on s390x.

 -- Ralf Treinen <treinen@debian.org>  Sat, 11 Feb 2012 15:01:41 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libxml2-utils,
  xsltproc,
  po4a
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ocamlgraph.lri.fr/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgraph.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgraph.git

## ocamlgraph 1.8.3

=== debian/changelog ===
ocamlgraph (1.8.3-1build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 21:53:20 +0000

ocamlgraph (1.8.3-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from uploaders

  [ Mehdi Dogguy ]
  * New upstream release
  * Update debian/copyright
  * Add new patches from upstream's repository:
    - 0003-fixed-compilation-issue-with-OCaml-3.12.1.patch
    - 0004-Merge-bug-fixed-compilation-issue-with-OCaml-3.12.1.patch
  * Bump Standards-Version to 3.9.4, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 24 Nov 2013 16:29:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Sylvain Le Gall <gildor@debian.org>, Mehdi Dogguy <mehdi@debian.org>
+Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  cdbs,
  dh-ocaml (>= 0.9),
@@ -16,7 +16,7 @@
  libxml2-utils,
  xsltproc,
  po4a
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://ocamlgraph.lri.fr/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgraph.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgraph.git

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocamlgraph package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include $(CURDIR)/debian/mk/docbook-manpage.mk

DEV_PKG = libocamlgraph-ocaml-dev
VIW_PKG = libocamlgraph-viewer-ocaml-dev
DEB_MAKE_CLEAN_TARGET = distclean
DEB_MAKE_BUILD_TARGET = all 
DEB_MAKE_INSTALL_TARGET = install \
			  BINDIR="$(CURDIR)/debian/ocamlgraph-editor/usr/bin" \
			  INSTALL_LIBDIR="$(CURDIR)/debian/$(DEV_PKG)/$(OCAML_STDLIB_DIR)/ocamlgraph/"

OCAML_DHOCAML_FLAGS += --nodefined-map $(DEV_PKG):Dgraph

install/libocamlgraph-ocaml-dev:: install/libocamlgraph-ocaml-doc
	find $(CURDIR)/debian -name '*.mli' -exec chmod 644 '{}' ';'
	mkdir -p $(CURDIR)/debian/$(VIW_PKG)/$(OCAML_STDLIB_DIR)/ocamlgraph/
	for file in dgraph.cmx viewGraph_select.mli dGraphRandModel.mli viewgraph.cmo \
		dGraphViewItem.mli dGraphModel.mli dgraph.cmo viewgraph.cmx viewgraph.cmi \
		dgraph.cmi viewgraph.o dgraph.o dGraphView.mli viewGraph_utils.mli viewGraph_core.mli; do \
		[ ! -f "$(CURDIR)/debian/$(DEV_PKG)$(OCAML_STDLIB_DIR)/ocamlgraph/$$file" ] || \
			mv "$(CURDIR)/debian/$(DEV_PKG)$(OCAML_STDLIB_DIR)/ocamlgraph/$$file" \
				"$(CURDIR)/debian/$(VIW_PKG)$(OCAML_STDLIB_DIR)/ocamlgraph/"; \
	done

DEB_STRIP_EXCLUDE += usr/bin/ocamlgraph-editor.byte usr/bin/ocamlgraph-viewer.byte
ifeq ($(OCAML_HAVE_OCAMLOPT),no)
DEB_STRIP_EXCLUDE += usr/bin/ocamlgraph-editor usr/bin/ocamlgraph-viewer
endif
DEB_DH_GENCONTROL_ARGS += -VF:OCamlInterp="ocaml-base-nox-$(OCAML_ABI), liblablgtk2-ocaml, liblablgtk2-gnome-ocaml"

PO4A_SOURCES := $(CURDIR)/debian/xml-man/po4a/po4a.cfg

DOCBOOK_MANPAGE_SOURCES := $(CURDIR)/debian/xml-man/en/ocamlgraph-editor.xml \
			   $(CURDIR)/debian/xml-man/en/ocamlgraph-viewer.xml

DOCBOOK_MANPAGE_EXTRA_SOURCES := $(CURDIR)/debian/xml-man/en/license.xml      \
                                 $(CURDIR)/debian/xml-man/en/refentryinfo.xml

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian$//,uversionmangle=s/^1\.81$/1.8.1/ \
http://ocamlgraph.lri.fr/download/ocamlgraph-([0-9a-z.]+).tar.gz

## ocamlgraph 1.8.5

=== debian/changelog ===
ocamlgraph (1.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 10:52:17 +0200

ocamlgraph (1.8.4-1) unstable; urgency=medium

  [ Johannes Schauer ]
  * Team upload.
  * Imported Upstream version 1.8.4
  * Refreshed patches and deleted those which were merged upstream:
    - 0003-fixed-compilation-issue-with-OCaml-3.12.1.patch
    - 0004-Merge-bug-fixed-compilation-issue-with-OCaml-3.12.1.patch

 -- Johannes Schauer <j.schauer@email.de>  Mon, 24 Mar 2014 11:44:32 +0100

## ocamlgraph 1.8.6

=== debian/changelog ===
ocamlgraph (1.8.6-1build5) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 16:22:46 +0200

ocamlgraph (1.8.6-1build4) artful; urgency=high

  * No change rebuild against new findlib.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 27 Jul 2017 09:44:54 +0100

ocamlgraph (1.8.6-1build3) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:52:30 +0100

ocamlgraph (1.8.6-1build2) xenial; urgency=medium

  * No-change rebuild against new ocaml ABIs

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Nov 2015 10:28:16 +0000

ocamlgraph (1.8.6-1build1) xenial; urgency=medium

  * No-change rebuild against the new lablgtk2.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Thu, 29 Oct 2015 15:34:34 +0100

ocamlgraph (1.8.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright file.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Fix watch file.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 31 Aug 2015 14:16:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocamlgraph
 Section: libdevel
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  cdbs,
@@ -16,7 +17,7 @@
  libxml2-utils,
  xsltproc,
  po4a
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://ocamlgraph.lri.fr/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlgraph.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlgraph.git

## ocamlgraph 1.8.8

=== view_graph/Makefile ===
OCAMLC=ocamlc.opt -dtypes 
OCAMLOPT=ocamlopt.opt
OCAMLDOC=ocamldoc.opt

GRAPH_DIR=..
GRAPH_LIB=graph.cmo

INCLUDES=-I . -I +lablgtk2 -I $(GRAPH_DIR)

FILES = viewGraph viewGraph_select viewGraph_utils viewGraph_test
SRCS = $(wildcard *.ml *.mli)
CMOS = $(FILES:%=%.cmo)
CMXS = $(FILES:%=%.cmx)

EXEC=viewgraph

all : $(EXEC) $(CMXS) doc

$(EXEC) :  $(CMOS) $(GRAPH_DIR)/$(GRAPH_LIB)
	$(OCAMLC) $(INCLUDES) -o $@ \
	  unix.cma lablgtk.cma lablgnomecanvas.cma $(GRAPH_LIB) \
	  $(CMOS)

depend: .depend

.depend : $(SRCS)
	ocamldep $(SRCS) > $@

include .depend

.PHONY: doc
doc : $(CMOS) doc/intro.txt doc/style.css
	$(OCAMLDOC) -d doc \
	  -stars -html -intro doc/intro.txt -css-style style.css \
	  $(INCLUDES) $(SRCS)

%.cmo :%.ml
	$(OCAMLC) $(INCLUDES) -c $<

%.cmx :%.ml
	$(OCAMLOPT) $(INCLUDES) -c $<

%.cmi :%.mli
	$(OCAMLC) $(INCLUDES) -c $<

clean :
	rm -f $(EXEC) 
	rm -f .depend 
	rm -f $(FILES:%=%.cmo) $(FILES:%=%.cmx) $(FILES:%=%.o) $(FILES:%=%.cmi) $(FILES:%=%.annot)
	rm -f doc/*.html

=== debian/changelog ===
ocamlgraph (1.8.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add German man page translation. Closes: #866145.
  * Add Portuguese man page translation. Closes: #759173.
  * Add infrastructure to actually build and install all manpages, including
    the english one. Taken from package camomile.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 23 Dec 2018 07:42:45 +0100

ocamlgraph (1.8.8-1) unstable; urgency=medium

  * New upstream release
  * Update Vcs-* fields to target Salsa instead of Alioth
  * Install META file in libocamlgraph-ocaml-dev
  * Update .docs file with s/README/README.adoc/
  * Remove editor, view_graph and dgraph as they need GnomeCanvas
    - Remove liblablgtk2-ocaml-dev and liblablgtk2-gnome-ocaml-dev
      from Build-Depends
    - Remove binary packages libocamlgraph-viewer-ocaml-dev and
      ocamlgraph-editor

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 02 Dec 2018 17:56:17 +0100

=== debian/control ===
Source: ocamlgraph
Section: libdevel
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
 cdbs,
 dh-ocaml (>= 0.9),
 debhelper (>= 7),
 ocaml-nox (>= 3.11.1),
 ocaml-findlib (>> 1.2.4-2),
 docbook-xml (>= 4.4),
 docbook-xsl,
 libxml2-utils,
 xsltproc,
 po4a
Standards-Version: 3.9.6
Homepage: http://ocamlgraph.lri.fr/
Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlgraph.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlgraph

Package: libocamlgraph-ocaml-dev
Architecture: any
Section: ocaml
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 ocaml-findlib
Description: graph library for OCaml
 Ocamlgraph is a graph library for OCaml. Its contribution is
 three-fold:
 .
  * It provides an easy-to-use graph data structure together with
    several operations and algorithms over graphs.  It is a
    reasonably efficient imperative data structure for directed
    graphs with vertices and edges labeled with integers. 
 .
  * Then ocamlgraph provides several other graph implementations
    for those not satisfied with the one above. Some are
    persistent (imutable) and other imperative (mutable). Some
    are directed and other are not. Some have labels for
    vertices, or labels for edges, or both. Some have abstract
    types for vertices. etc. 
    These implementations are written as functors: you give the
    types of vertices labels, edge labels, etc. and you get the
    data structure as a result. 
 .
  * Finally, ocamlgraph provides several classic operations and
    algorithms over graphs.
    They are also written as functors i.e. independently of the
    data structure for graphs. One consequence is that you can
    define your own data structure for graphs and yet re-use all
    the algorithms from this library -- you only need to provide
    a few operations such as iterating over all vertices, over
    the successors of a vertex, etc.

Package: libocamlgraph-ocaml-doc
Architecture: all
Section: doc
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libocamlgraph-ocaml-dev (<< 1.3+debian-2~)
Replaces:
 libocamlgraph-ocaml-dev (<< 1.3+debian-2~)
Description: documentation for the OCamlgraph library
 This package provides the API reference documentation generated by
 ocamldoc.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for ocamlgraph package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

include /usr/share/cdbs/1/rules/ocaml.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include $(CURDIR)/debian/mk/docbook-manpage.mk


DEV_PKG = libocamlgraph-ocaml-dev
DEB_MAKE_CLEAN_TARGET = distclean
DEB_MAKE_BUILD_TARGET = all
DEB_MAKE_INSTALL_TARGET = install \
			  INSTALL_LIBDIR="$(CURDIR)/debian/$(DEV_PKG)/$(OCAML_STDLIB_DIR)/ocamlgraph/"

install/libocamlgraph-ocaml-dev:: install/libocamlgraph-ocaml-doc
	find $(CURDIR)/debian -name '*.mli' -exec chmod 644 '{}' ';'

DEB_DH_GENCONTROL_ARGS += -VF:OCamlInterp="ocaml-base-nox-$(OCAML_ABI)"

PO4A_SOURCES := $(CURDIR)/debian/xml-man/po4a/po4a.cfg

DOCBOOK_MANPAGE_SOURCES := $(CURDIR)/debian/xml-man/en/ocamlgraph-editor.xml  \
			   $(CURDIR)/debian/xml-man/de/ocamlgraph-editor.xml  \
                           $(CURDIR)/debian/xml-man/pt/ocamlgraph-editor.xml

DOCBOOK_MANPAGE_EXTRA_SOURCES := $(CURDIR)/debian/xml-man/en/license.xml      \
                                 $(CURDIR)/debian/xml-man/en/refentryinfo.xml \
				 $(CURDIR)/debian/xml-man/de/license.xml      \
                                 $(CURDIR)/debian/xml-man/de/refentryinfo.xml \
				 $(CURDIR)/debian/xml-man/pt/license.xml      \
                                 $(CURDIR)/debian/xml-man/pt/refentryinfo.xml

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian$//,uversionmangle=s/^1\.81$/1.8.1/ \
http://ocamlgraph.lri.fr/ download/ocamlgraph-([0-9a-z.]+).tar.gz

## ocamlgraph 2.0.0

=== debian/changelog ===
ocamlgraph (2.0.0-3build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 01:07:18 +0100

ocamlgraph (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Upload to sid
  * Standards-Version 4.6.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 21 Dec 2021 20:00:54 +0100

ocamlgraph (2.0.0-2) experimental; urgency=medium

  * Team upload
  * Install *.a files only on native-code architectures.

 -- Ralf Treinen <treinen@debian.org>  Fri, 01 Jan 2021 17:44:02 +0100

ocamlgraph (2.0.0-1) experimental; urgency=low

  [ Ralf Treinen ]
  * Team upload 
  * New upstream release
  * debian/watch: point to release tags on github
  * Upstream has changed its build-system to dune;
    - add build-dependency on ocaml-dune
    - adapt *.install files to the dune build system
  * Drop patch 0001-prefix-binary-names-with-ocaml-and-do-not-install-us.patch
    which no longer applies.
  * Rewrite debian/rules using dh, drop build-dependency cdbs
  * Build-depend on debhelper-compat, drop debian/compat
  * Debhelper compatibility level 13 (no change)
  * Stop using dh_ocamldoc, follow upstream and use odoc instead:
    - add build-dependency on ocaml-odoc and libjs-highlight.js
    - invoke "make doc" in d/rules
    - install html doc generated by odoc
  * Add build-dependency on libgraphics-ocaml-dev and libx11-dev
  * patch CREDITS: re-encode file in utf8
  * Standards-Version 4.5.1 (no change)
  * Rules-Requires-Root=no
  * Mark libocamlgraph-ocaml-doc as Multi-Arch: foreign

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Make "Files: *" paragraph the first in the copyright file.

 -- Ralf Treinen <treinen@debian.org>  Fri, 01 Jan 2021 16:37:49 +0100

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := $(CURDIR)/debian/tmp
METAFILE := $(DESTDIR)/usr/lib/ocaml/ocamlgraph/META

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -pocamlgraph @install
	dune build -pocamlgraph @doc
	find _build/default/_doc/_html -name "*.dune-keep" -delete

override_dh_auto_install:
	touch _build/default/ocamlgraph_gtk.install
	DESTDIR=$(DESTDIR) dune install -pocamlgraph
	(if [ ! `grep -q "version" $(METAFILE)` ]; then \
	  version=$$(dpkg-parsechangelog -S version); \
	  echo "version = \"$${version%-*}\"" > $(METAFILE).new ;\
	  cat $(METAFILE) >> $(METAFILE).new ; \
	  mv $(METAFILE).new $(METAFILE) ;\
	fi)

override_dh_auto_test:
	dune runtest -pocamlgraph

=== debian/watch ===
version=3
opts=dversionmangle=s/\+debian$//,uversionmangle=s/^186$/1.8.6/ \
https://github.com/backtracking/ocamlgraph/tags .*/v?(\d\S*)\.tar\.gz

## ocamlgraph 2.1.0

=== debian/changelog ===
ocamlgraph (2.1.0-1build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 17:34:02 +0100

ocamlgraph (2.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 08 Sep 2023 06:56:03 +0200

ocamlgraph (2.0.0-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem (Closes: #1042104)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jul 2023 21:54:59 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,22 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
- cdbs,
- dh-ocaml (>= 0.9),
- debhelper (>= 7),
- ocaml-nox (>= 3.11.1),
+ dh-ocaml (>= 1.2),
+ debhelper-compat (=13),
+ ocaml,
  ocaml-findlib (>> 1.2.4-2),
+ ocaml-dune (>= 2.0),
+ ocaml-odoc,
+ libjs-highlight.js,
+ libgraphics-ocaml-dev,
+ libx11-dev,
  docbook-xml (>= 4.4),
  docbook-xsl,
  libxml2-utils,
  xsltproc,
  po4a
-Standards-Version: 3.9.6
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: http://ocamlgraph.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlgraph.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocamlgraph
@@ -37,17 +42,17 @@
   * It provides an easy-to-use graph data structure together with
     several operations and algorithms over graphs.  It is a
     reasonably efficient imperative data structure for directed
-    graphs with vertices and edges labeled with integers. 
+    graphs with vertices and edges labeled with integers.
  .
   * Then ocamlgraph provides several other graph implementations
     for those not satisfied with the one above. Some are
     persistent (imutable) and other imperative (mutable). Some
     are directed and other are not. Some have labels for
     vertices, or labels for edges, or both. Some have abstract
-    types for vertices. etc. 
+    types for vertices. etc.
     These implementations are written as functors: you give the
     types of vertices labels, edge labels, etc. and you get the
-    data structure as a result. 
+    data structure as a result.
  .
   * Finally, ocamlgraph provides several classic operations and
     algorithms over graphs.
@@ -60,6 +65,7 @@
 
 Package: libocamlgraph-ocaml-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  ${ocaml:Depends},

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_build:
	dh_auto_build
	dune build -pocamlgraph @doc
	find _build/default/_doc/_html -name "*.dune-keep" -delete

## ocamlgraph 2.2.0

=== debian/changelog ===
ocamlgraph (2.2.0-2) unstable; urgency=medium

  * Team upload
  * Remove old unused CDBS fragment (Closes: #1115873)
  * Bump Standards-Version to 4.7.2
  * Bump debian/watch version to 5

 -- Stéphane Glondu <glondu@debian.org>  Tue, 23 Sep 2025 09:57:24 +0200

ocamlgraph (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 15 Aug 2025 07:28:59 +0200

ocamlgraph (2.1.0-3) unstable; urgency=medium

  * Team upload
  * Build doc only on indep builds
  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 07:12:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  ocaml,
  ocaml-findlib (>> 1.2.4-2),
  ocaml-dune (>= 2.0),
- ocaml-odoc,
  libjs-highlight.js,
  libgraphics-ocaml-dev,
  libx11-dev,
@@ -18,7 +17,9 @@
  libxml2-utils,
  xsltproc,
  po4a
-Standards-Version: 4.6.2
+Build-Depends-Indep:
+ ocaml-odoc
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://ocamlgraph.lri.fr/
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocamlgraph.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 %:
 	dh $@ --with ocaml --buildsystem ocaml_dune
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build-indep:
 	dune build -pocamlgraph @doc
 	find _build/default/_doc/_html -name "*.dune-keep" -delete

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/backtracking/ocamlgraph/releases?per_page=50
Matching-Pattern: https://[^ "]+/ocamlgraph-@ANY_VERSION@\.tbz
Searchmode: plain
